### Virtual Method

# EDataServer SourceCredentialsProviderImpl store_sync

since: 3.16

#### Declaration [src]

    gboolean
    store_sync (
      ESourceCredentialsProviderImpl* provider_impl,
      ESource* source,
      const ENamedParameters* credentials,
      gboolean permanently,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Asks `provider_impl` to store `credentials` for `source`.

Default implementation returns `FALSE` and sets #G_IO_ERROR_NOT_SUPPORTED error.

If an error occurs, the function sets `error` and returns `FALSE`.

Available since: 3.16

#### Parameters

`source`

  Type: `ESource`

  An `ESource`.

  The data is owned by the caller of the method.

`credentials`

  Type: `ENamedParameters`

  An `ENamedParameters` containing credentials to store.

  The data is owned by the caller of the method.

`permanently`

  Type: `gboolean`

  Whether to store credentials permanently, or for the current session only.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on error.